import axios from "axios";
import * as Vue from "vue";
import * as VueQuery from "@tanstack/vue-query";
import { ClientOnly } from "vite-ssr/vue";
import { vueCatchHrefs } from "./vue-catch-hrefs.mjs";
import * as VueUnhead from "@unhead/vue";
const createVueAppLib = {
  install(app, ctx = {}) {
    const queryClient = new VueQuery.QueryClient();
    app.use(VueQuery.VueQueryPlugin, { queryClient });
    ctx.queryClient = queryClient;
    app.config.globalProperties.$axios = axios;
    app.config.globalProperties.$VueQuery = VueQuery;
    app.config.globalProperties.$Vue = Vue;
    app.component(ClientOnly.name, ClientOnly);
  }
};
export { createVueAppLib, vueCatchHrefs, VueUnhead };
